Package com.trilead.ssh2.packets

## Class TypesWriter

- java.lang.Object
- - com.trilead.ssh2.packets.TypesWriter

    public class TypesWriter
    extends java.lang.Object

TypesWriter.

### Constructor Summary

Constructors
`TypesWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getBytes()`
`void` `getBytes​(byte[] dst)`
`int` `length()`
`void` `writeBoolean​(boolean v)`
`void` `writeByte​(int v)`
`void` `writeByte​(int v, int off)`
`void` `writeBytes​(byte[] buff)`
`void` `writeBytes​(byte[] buff, int off, int len)`
`void` `writeMPInt​(java.math.BigInteger b)`
`void` `writeNameList​(java.lang.String[] v)`
`void` `writeString​(byte[] buff, int off, int len)`
`void` `writeString​(java.lang.String v)`
`void` `writeString​(java.lang.String v, java.lang.String charsetName)`
`void` `writeUINT32​(int val)`
`void` `writeUINT32​(int val, int off)`
`void` `writeUINT64​(long val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypesWriter

    public TypesWriter()

### Method Detail

#### length

    public int length()

#### getBytes

    public byte[] getBytes()

#### getBytes

    public void getBytes​(byte[] dst)

#### writeUINT32

    public void writeUINT32​(int val,
                            int off)

#### writeUINT32

    public void writeUINT32​(int val)

#### writeUINT64

    public void writeUINT64​(long val)

#### writeBoolean

    public void writeBoolean​(boolean v)

#### writeByte

    public void writeByte​(int v,
                          int off)

#### writeByte

    public void writeByte​(int v)

#### writeMPInt

    public void writeMPInt​(java.math.BigInteger b)

#### writeBytes

    public void writeBytes​(byte[] buff)

#### writeBytes

    public void writeBytes​(byte[] buff,
                           int off,
                           int len)

#### writeString

    public void writeString​(byte[] buff,
                            int off,
                            int len)

#### writeString

    public void writeString​(java.lang.String v)

#### writeString

    public void writeString​(java.lang.String v,
                            java.lang.String charsetName)
                     throws java.io.UnsupportedEncodingException

Throws:
  `java.io.UnsupportedEncodingException`

#### writeNameList

    public void writeNameList​(java.lang.String[] v)